-- Function to calculate energy output based on temperature
local function calculate_energy_output(temperature)
    local conversion_factor = settings.global["heat-engine-conversion-factor"].value or 200
    local min_temperature = settings.global["heat-engine-min-temperature"].value or 15
    if temperature and temperature > min_temperature then
        return conversion_factor * (temperature - min_temperature)
    else
        return 0
    end
end

-- Make functions available to other scripts
return {
    calculate_energy_output = calculate_energy_output
}